#!/bin/sh

echo "Enter a word and file name to look in:"

while read word file
do
	grep $word $file > /dev/null 2>&1
	
	#This is the exit status of the last executed command.
	#By convention an exit status of 0 means success, and 
	#non-zero return status means failure.

	exit_code=$?
	
	if [ $exit_code -eq 0 ] 
	then
		echo "Found \"$word\" in file $file"
	elif [ $exit_code -eq 1 ]
	then
		echo "\"$word\" does not appear in $file"
	elif [ $exit_code -eq 2 ]
	then
		echo "Could not read $file" > /dev/stderr
	else
		echo Unknown error
	fi

	echo "------------------------------------------------------------"
	echo "Enter a word and file name to look in:"


done
